Subject: bug#65978: closed (Re: bug#65978: comp-tests-ret-type-spec-71 fails on 32-bit powerpc)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Mar 2024 08:14:04 +0000

Your bug report

#65978: comp-tests-ret-type-spec-71 fails on 32-bit powerpc

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65978: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65978
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65978: comp-tests-ret-type-spec-71 fails on 32-bit powerpc
From: Eli Zaretskii <[email-masked]>
To: John Paul Adrian Glaubitz <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 22 Mar 2024 09:16:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: John Paul Adrian Glaubitz <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 21 Mar 2024 22:51:59 +0100
> 
> Hi,
> 
> On Thu, 2024-03-21 at 11:39 +0100, John Paul Adrian Glaubitz wrote:
> > On Thu, 2024-03-21 at 12:21 +0200, Eli Zaretskii wrote:
> > > > Cc: [email-masked], [email-masked]
> > > > Date: Thu, 14 Mar 2024 10:28:22 +0200
> > > > From: Eli Zaretskii <[email-masked]>
> > > > 
> > > > > Cc: debian-powerpc <[email-masked]>, [email-masked]
> > > > > From: Andrea Corallo <[email-masked]>
> > > > > Date: Thu, 07 Mar 2024 13:42:38 -0500
> > > > > 
> > > > > John Paul Adrian Glaubitz <[email-masked]> writes:
> > > > > 
> > > > > Hi John,
> > > > > 
> > > > > I *think* this should be fixed.  Could you verify and let us know if you
> > > > > still see the issue?
> > > > 
> > > > Ping!  John, could you please verify the fix?
> > > 
> > > Ping! Ping!
> > 
> > Sorry, I will give it another try today.
> > 
> > I am currently swamped in work due to Debian's time_t transition and
> > additional tasks at my day job.
> 
> All tests pass for me on git master, so I assume the bug has been fixed.

Thanks, I'm therefore closing this bug.

> I'm not 100% sure how to run the testsuite in the same way as the Debian
> package though.

I don't think this is our problem, but if I'm wrong, we can always
reopen the bug later with new information.

Subject: comp-tests-ret-type-spec-71 fails on 32-bit powerpc
From: John Paul Adrian Glaubitz <[email-masked]>
To: [email-masked]
Cc: debian-powerpc <[email-masked]>
Date: Thu, 14 Sep 2023 14:28:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

The test comp-tests-ret-type-spec-71 reproducibly fails on 32-bit powerpc:

Test comp-tests-ret-type-spec-71 backtrace:
  signal(ert-test-failed (((should (equal (cl-third (subr-type (symbol
  ert-fail(((should (equal (cl-third (subr-type (symbol-function f-nam
  comp-tests-check-ret-type-spec((defun comp-tests-ret-type-spec-f (x)
  #f(compiled-function () #<bytecode -0x221c87d>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name comp-tests-ret-type-spec-71 :document
  ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  command-line-1(("-L" ":/<<PKGBUILDDIR>>/debian/build
  command-line()
  normal-top-level()
Test comp-tests-ret-type-spec-71 condition:
    (ert-test-failed
     ((should
       (equal
	(cl-third ...)
	ret-type))
      :form
      (equal
       (or
	(member 0.0 -0.0)
	(integer 0 0))
       (or
	(member -0.0 0.0)
	(integer 0 0)))
      :value nil :explanation
      (list-elt 1
		(list-elt 1
			  (different-atoms 0.0 -0.0)))))
   FAILED  145/166  comp-tests-ret-type-spec-71 (0.399696 sec)

The full buildlog can be obtained in [1].

Thanks,
Adrian

> [1] https://buildd.debian.org/status/fetch.php?pkg=emacs&arch=powerpc&ver=1%3A28.2%2B1-16&stamp=1690634247&raw=0

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer
`. `'   Physicist
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913